### Method

# FwupdPlugin MeiDevice read

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_mei_device_read (
      FuMeiDevice* self,
      guint8* buf,
      gsize bufsz,
      gsize* bytes_read,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Read raw bytes from the device.

Available since: 1.8.2

#### Parameters

`buf`

  Type: `guint8*`

  Data.

  The argument will be set by the function.

`bufsz`

  Type: `gsize`

  Size of `data`.

`bytes_read`

  Type: `gsize*`

  Bytes read.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`timeout_ms`

  Type: `guint`

  Timeout.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.